%define module_name Tripletail
%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Apache2/Const.pm) perl(Apache2/RequestIO.pm) perl(Apache2/RequestRec.pm) perl(Apache2/RequestUtil.pm) perl(Cache/Memcached.pm) perl(Compress/Zlib.pm) perl(Crypt/CBC.pm) perl(Crypt/Rijndael.pm) perl(Crypt/SMIME.pm) perl(DBD/InterBase.pm) perl(DBD/ODBC.pm) perl(DBD/Pg.pm) perl(DBD/SQLite.pm) perl(DBD/mysql.pm) perl(DBI.pm) perl(Devel/Cover.pm) perl(Digest/SHA.pm) perl(Encode.pm) perl(Encode/Alias.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Cookies.pm) perl(HTTP/Status.pm) perl(IO/Scalar.pm) perl(LWP/UserAgent.pm) perl(List/MoreUtils.pm) perl(MIME/Body.pm) perl(MIME/Decoder.pm) perl(MIME/Entity.pm) perl(MIME/Parser.pm) perl(MIME/Words.pm) perl(MongoDB.pm) perl(POE.pm) perl(POE/Component/Server/HTTP.pm) perl(PadWalker.pm)
BuildRequires: perl(Scalar/Lazy.pm) perl(Sub/Install.pm) perl(Test/Dependencies.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Number/Delta.pm) perl(Text/CSV_XS.pm) perl(Time/Moment.pm) perl(URI/QueryParam.pm) perl(Unicode/Japanese.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.69
Release: alt1
Summary: Tripletail, Framework for Japanese Web Application
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MI/MIKAGE/%{module_name}-%{version}.tar.gz

%description
Tripletail
==========

Tripletail is an open-source framework which is for web applications
treat Japanese. It is supposed to run on Linux + Apache + MySQL + Perl.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}
rm -f t/[0-9][-_]signature.t t/[0-9][0-9][-_]signature.t t/[0-9]signature.t t/[0-9][0-9]signature.t t/signature.t
rm -f t/[0-9][-_]Signature.t t/[0-9][0-9][-_]Signature.t t/[0-9][0-9][0-9][-_]Signature.t t/[0-9]Signature.t t/[0-9][0-9]Signature.t t/[0-9][0-9][0-9]Signature.t t/Signature.t
rm -f t/[0-9][-_]manifest.t t/[0-9][0-9][-_]manifest.t t/[0-9][0-9][0-9][-_]manifest.t t/[0-9]manifest.t t/[0-9][0-9]manifest.t t/[0-9][0-9][0-9]manifest.t t/manifest.t
rm -f t/[0-9][-_]MANIFEST.t t/[0-9][0-9][-_]MANIFEST.t t/[0-9][0-9][0-9][-_]MANIFEST.t t/[0-9]MANIFEST.t t/[0-9][0-9]MANIFEST.t t/[0-9][0-9][0-9]MANIFEST.t t/MANIFEST.t
rm -f t/[0-9][-_]check_manifest.t t/[0-9][0-9][-_]check_manifest.t t/[0-9][0-9][0-9][-_]check_manifest.t t/[0-9]check_manifest.t t/[0-9][0-9]check_manifest.t t/[0-9][0-9][0-9]check_manifest.t t/check_manifest.t

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README doc
%perl_vendor_archlib/T*
%perl_vendor_autolib/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 0.69-alt1
- updated by package builder

* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.65-alt2
- rebuild with perl 5.38

* Sat Jan 01 2022 Igor Vlasenko <viy@altlinux.org> 0.65-alt1
- initial import by package builder

